package com.ghy.worker.service;

import com.ghy.worker.domain.WorkerArea;

import java.util.List;

/**
 * 师父接单区域
 *
 * @author HH 2022/6/6
 */
public interface WorkerAreaService {

    int insert(WorkerArea workerArea);

    int delete(Long[] ids);

    int deleteByWorker(Long workerId);

    List<WorkerArea> getByWorker(Long workerId);

    void updateWorkerServArea(Long workerId, List<WorkerArea> areas);

    List<WorkerArea> getWorkerAreaList(WorkerArea area);
}
